Classes | Namespaces | Enumerations | Functions
GreatWksText.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "GreatWksDocument.hxx"`
`#include "GreatWksText.hxx"`

## Classes
struct | GreatWksTextInternal::PLC
| Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone. More...
struct | GreatWksTextInternal::Token
| Internal and low level: structure which stores a token for GreatWksText. More...
struct | GreatWksTextInternal::Frame
| Internal and low level: structure which stores a text position for GreatWksText. More...
struct | GreatWksTextInternal::Zone
| Internal and low level: structure which stores a text zone header for GreatWksText. More...
struct | GreatWksTextInternal::State
| Internal: the state of a GreatWksText. More...

## Namespaces
| GreatWksTextInternal
| Internal: the structures of a GreatWksText.

## Enumerations
enum | GreatWksTextInternal::PLCType { GreatWksTextInternal::P_Font, GreatWksTextInternal::P_Page, GreatWksTextInternal::P_Ruler, GreatWksTextInternal::P_Token, GreatWksTextInternal::P_Unknown }
| the different plc type More...

## Functions
std::ostream & | GreatWksTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | GreatWksTextInternal::operator<< (std::ostream &o, Token const &token)